/**
 * ShopCreateReqDTO，管理后台 - 平台店铺创建 Request DTO
 */
export interface PlatformShop {
    /**
     * 授权过期时间
     */
    expiresTime?: number;
    /**
     * 调用参数_动态_空值
     */
    paramDynamicJson?: string;
    /**
     * 调用参数_静态_空值
     */
    paramStaticJson?: string;
    /**
     * 密码(AES加密  CBC模式)
     */
    password?: string;
    /**
     * 平台ID
     */
    platformId: number;
    /**
     * 平台店铺id
     */
    platformShopId?: string;
    shopConfig: PlatformShopConfig;
    /**
     * 店铺名称
     */
    shopName: string;
    /**
     * 状态: 1:开启,2,停用
     */
    shopStatus: number;
    /**
     * 授权状态,1:成功, 2:失败,0:未授权
     */
    tokenFlag: number;
    /**
     * 用户账号
     */
    userName?: string;
}

/**
 * ShopConfigCreateReqDTO，管理后台 - 平台店铺配置创建 Request DTO
 */
export interface PlatformShopConfig {
    /**
     * 每天最大刊登量
     */
    dayMaxPublishNumber?: number;
    /**
     * ioss税号（欧盟税号）
     */
    iossNo?: string;
    /**
     * 语言
     */
    language?: string;
    /**
     * 店铺_id
     */
    shopId: number;
    /**
     * vat税号
     */
    vatNum?: string;
}


export interface PlatformShopPageReqVO extends PageParam {
    shopName?: string,
    shopStatus?: number,
    tokenFlag?: number,
    platformId?: number,
    shopManagerId?: number,
    shopStaffId?: number
}
