import request from '@/request';
import { PlatformShop, PlatformShopPageReqVO, PageData } from '@/models';

const BASE_URL = '/admin-api/platform/shop';

export default {
    // 查询平台店铺列表
    getPlatformShopList: (params: PlatformShopPageReqVO) => {
        return request.get<PageData<PlatformShop>>(`${BASE_URL}/page`, {params});
    },

    // 创建平台店铺
    createPlatformShop: (data: PlatformShop) => {
        return request.post(`${BASE_URL}/create`, data);
    },

    // 修改平台店铺
    updatePlatformShop: (data: PlatformShop) => {
        return request.post(`${BASE_URL}/update`, data);
    },

    // 删除平台店铺
    deletePlatformShop: (id: number) => {
        return request.delete(`${BASE_URL}/delete?id=${id}`);
    },
};
