import request from '@/request';
import { DictTypeVO, DictTypePageReqVO, DictTypeExportReqVO, PageData } from '@/models';

const BASE_URL = '/admin-api/system/dict-type';

export default {

    // 查询字典（精简)列表
    listSimpleDictTypeApi: () => {
        return request.get(`${BASE_URL}/list-all-simple`)
    },

    // 查询字典列表
    getDictTypePageApi: (params: DictTypePageReqVO) => {
        return request.get<PageData<DictTypeVO>>(`${BASE_URL}/page`, { params })
    },

    // 查询字典详情
    getDictTypeApi: (id: number) => {
        return request.get(`${BASE_URL}/get?id=${id}`)
    },

    // 新增字典
    createDictTypeApi: (data: DictTypeVO) => {
        return request.post(`${BASE_URL}/create`, data)
    },

    // 修改字典
    updateDictTypeApi: (data: DictTypeVO) => {
        return request.put(`${BASE_URL}/update`, data)
    },

    // 删除字典
    deleteDictTypeApi: (id: number) => {
        return request.delete(`${BASE_URL}/delete?id=${id}`)
    },
    // 导出字典类型
    exportDictTypeApi: (params: DictTypeExportReqVO) => {
        return request.get(`${BASE_URL}/export`, { params, responseType: 'blob' })
    }
};


